package seal_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"os"
)

type SealApplyUsedImagesRequest struct {
	// <ext>core:true;format:string</ext> 【用印申请id】用印申请id 【作用】 查询需上传已用印文件的用印申请
	BusinessId *int64 `json:"businessId"`
	// <ext>core:true</ext> 【图片列表】图片列表 【作用】 传入图片并转换为PDF文件 【传参】 支持的文件格式：jpg，jpeg，gif，png，tiff。
	Images []*os.File `json:"images"`
	// <ext>core:true</ext> 【标题】文件标题 【作用】 图片转换为PDF文件后，作为PDF文件的标题 【传参】 不超过500字符。
	Title string `json:"title"`
}

func (obj SealApplyUsedImagesRequest) GetUrl() string {
	return "/seal/apply/used/images"
}

func (obj SealApplyUsedImagesRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	parameter.AddParam("businessId", obj.BusinessId)
	parameter.AddParam("title", obj.Title)
	parameter.AddListFiles("images", obj.Images)
	return parameter
}
